<?xml version="1.0"?>
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<iva>
			<TipoIDInformante>
				<xsl:value-of select="iva/TipoIDInformante" />
			</TipoIDInformante>
			<!--Fin Nuevo -->
			<IdInformante>
				<xsl:value-of select="iva/IdInformante" />
			</IdInformante>
			<razonSocial>
				<xsl:value-of select="iva/razonSocial" />
			</razonSocial>
			<Anio>
				<xsl:value-of select="iva/Anio" />
			</Anio>
			<Mes>
				<xsl:value-of select="iva/Mes" />
			</Mes>
			<!-- Campos de numero de establecimientos y total de ventas -->
			<numEstabRuc>
				<xsl:value-of select="iva/numEstabRuc" />
			</numEstabRuc>
			<totalVentas>
				<xsl:value-of select="iva/totalVentas" />
			</totalVentas>
			<!--Nuevos -->
			<codigoOperativo>IVA</codigoOperativo>
			<!-- COMPRAS -->
			<compras>
				<xsl:for-each select="iva/compras/cabecerasCompras/cabeceraCompra">
					<detalleCompras>
						<xsl:variable name="codigoCompra" select="codCompra" />
						<codSustento>
							<xsl:value-of select="codSustento" />
						</codSustento>
						<tpIdProv>
							<xsl:value-of select="tpIdProv" />
						</tpIdProv>
						<idProv>
							<xsl:value-of select="idProv" />
						</idProv>
						<tipoComprobante>
							<xsl:value-of select="tipoComprobante" />
						</tipoComprobante>
						<xsl:if test="tipoProv!=''">
							<tipoProv>
								<xsl:value-of select="tipoProv" />
							</tipoProv>
						</xsl:if>
						<xsl:if test="parteRel!=''">
							<parteRel>
								<xsl:value-of select="parteRel" />
							</parteRel>
						</xsl:if>
						<!--Fin Nuevos -->
						<fechaRegistro>
							<xsl:value-of select="fechaRegistro" />
						</fechaRegistro>
						<establecimiento>
							<xsl:value-of select="establecimiento" />
						</establecimiento>
						<puntoEmision>
							<xsl:value-of select="puntoEmision" />
						</puntoEmision>
						<secuencial>
							<xsl:value-of select="secuencial" />
						</secuencial>
						<fechaEmision>
							<xsl:value-of select="fechaEmision" />
						</fechaEmision>
						<autorizacion>
							<xsl:value-of select="autorizacion" />
						</autorizacion>
						<baseNoGraIva>
							<xsl:value-of select="format-number(baseNoGraIva, '#0.00')" />
						</baseNoGraIva>
						<baseImponible>
							<xsl:value-of select="format-number(baseImponible, '#0.00')" />
						</baseImponible>
						<baseImpGrav>
							<xsl:value-of select="format-number(baseImpGrav, '#0.00')" />
						</baseImpGrav>
						<montoIce>
							<xsl:value-of select="format-number(montoIce, '#0.00')" />
						</montoIce>
						<montoIva>
							<xsl:value-of select="format-number(montoIva, '#0.00')" />
						</montoIva>
						<valorRetBienes>
							<xsl:value-of select="format-number(valorRetBienes, '#0.00')" />
						</valorRetBienes>
						<valorRetServicios>
							<xsl:value-of select="format-number(valorRetServicios, '#0.00')" />
						</valorRetServicios>
						<valRetServ100>
							<xsl:value-of select="format-number(valRetServ100, '#0.00')" />
						</valRetServ100>
						<xsl:if test="pagoExterior/pagoLocExt!=''">
							<pagoExterior>
								<pagoLocExt>
									<xsl:value-of select="pagoExterior/pagoLocExt" />
								</pagoLocExt>
								<paisEfecPago>
									<xsl:value-of select="pagoExterior/paisEfecPago" />
								</paisEfecPago>
								<aplicConvDobTrib>
									<xsl:value-of select="pagoExterior/aplicConvDobTrib" />
								</aplicConvDobTrib>
								<pagExtSujRetNorLeg>
									<xsl:value-of select="pagoExterior/pagExtSujRetNorLeg" />
								</pagExtSujRetNorLeg>
							</pagoExterior>
						</xsl:if>
						<xsl:if test="../../formasDePago">
							<formasDePago>
								<xsl:for-each
									select="../../formasDePago/formaPago[codCompra=$codigoCompra]">
									<formaPago>
										<xsl:value-of select="forma" />
									</formaPago>
								</xsl:for-each>
							</formasDePago>
						</xsl:if>
						<xsl:if test="../../retencionesCompras">
							<air>
								<xsl:for-each
									select="../../retencionesCompras/detalleAir[codCompra=$codigoCompra]">
									<detalleAir>
										<codRetAir>
											<xsl:value-of select="codRetAir" />
										</codRetAir>
										<baseImpAir>
											<xsl:value-of select="format-number(baseImpAir, '#0.00')" />
										</baseImpAir>
										<porcentajeAir>
											<xsl:value-of select="format-number(porcentajeAir, '#0.00')" />
										</porcentajeAir>
										<valRetAir>
											<xsl:value-of select="format-number(valRetAir, '#0.00')" />
										</valRetAir>
										<xsl:if test="fechaPagoDiv!=''">
											<fechaPagoDiv>
												<xsl:value-of select="fechaPagoDiv" />
											</fechaPagoDiv>
											<imRentaSoc>
												<xsl:value-of select="format-number(imRentaSoc, '#0.00')" />
											</imRentaSoc>
											<anioUtDiv>
												<xsl:value-of select="anioUtDiv" />
											</anioUtDiv>
										</xsl:if>
									</detalleAir>
								</xsl:for-each>
							</air>
						</xsl:if>
						<xsl:if test="estabRetencion1!=''">
							<estabRetencion1>
								<xsl:value-of select="estabRetencion1" />
							</estabRetencion1>
							<ptoEmiRetencion1>
								<xsl:value-of select="ptoEmiRetencion1" />
							</ptoEmiRetencion1>
							<secRetencion1>
								<xsl:value-of select="secRetencion1" />
							</secRetencion1>
							<autRetencion1>
								<xsl:value-of select="autRetencion1" />
							</autRetencion1>
							<fechaEmiRet1>
								<xsl:value-of select="fechaEmiRet1" />
							</fechaEmiRet1>
						</xsl:if>
						<xsl:if test="docModificado!=''">
							<docModificado>
								<xsl:value-of select="docModificado" />
							</docModificado>
							<estabModificado>
								<xsl:value-of select="estabModificado" />
							</estabModificado>
							<ptoEmiModificado>
								<xsl:value-of select="ptoEmiModificado" />
							</ptoEmiModificado>
							<secModificado>
								<xsl:value-of select="secModificado" />
							</secModificado>
							<autModificado>
								<xsl:value-of select="autModificado" />
							</autModificado>
						</xsl:if>
						<xsl:if test="../../reembolsos">
							<reembolsos>
								<xsl:for-each
									select="../../reembolsos/reembolso[codCompra=$codigoCompra]">

									<reembolso>
										<tipoComprobanteReemb>
											<xsl:value-of select="tipoComprobanteReemb" />
										</tipoComprobanteReemb>
										<tpIdProvReemb>
											<xsl:value-of select="tpIdProvReemb" />
										</tpIdProvReemb>
										<idProvReemb>
											<xsl:value-of select="idProvReemb" />
										</idProvReemb>
										<establecimientoReemb>
											<xsl:value-of select="establecimientoReemb" />
										</establecimientoReemb>
										<puntoEmisionReemb>
											<xsl:value-of select="puntoEmisionReemb" />
										</puntoEmisionReemb>
										<secuencialReemb>
											<xsl:value-of select="secuencialReemb" />
										</secuencialReemb>
										<fechaEmisionReemb>
											<xsl:value-of select="fechaEmisionReemb" />
										</fechaEmisionReemb>
										<autorizacionReemb>
											<xsl:value-of select="autorizacionReemb" />
										</autorizacionReemb>
										<baseImponibleReemb>
											<xsl:value-of select="format-number(baseImponibleReemb, '#0.00')" />
										</baseImponibleReemb>
										<baseImpGravReemb>
											<xsl:value-of select="format-number(baseImpGravReemb, '#0.00')" />
										</baseImpGravReemb>
										<baseNoGraIvaReemb>
											<xsl:value-of select="baseNoGraIvaReemb" />
										</baseNoGraIvaReemb>
										<montoIceRemb>
											<xsl:value-of select="format-number(montoIceRemb, '#0.00')" />
										</montoIceRemb>
										<montoIvaRemb>
											<xsl:value-of select="format-number(montoIvaRemb, '#0.00')" />
										</montoIvaRemb>
									</reembolso>
								</xsl:for-each>
							</reembolsos>
						</xsl:if>
					</detalleCompras>
				</xsl:for-each>
			</compras>
			<xsl:if test="iva/ventas/detalleVentas">
				<ventas>
					<xsl:for-each select="iva/ventas/detalleVentas">
						<detalleVentas>
							<tpIdCliente>
								<xsl:value-of select="tpIdCliente" />
							</tpIdCliente>
							<idCliente>
								<xsl:value-of select="idCliente" />
							</idCliente>
							<tipoComprobante>
								<xsl:value-of select="tipoComprobante" />
							</tipoComprobante>
							<numeroComprobantes>
								<xsl:value-of select="numeroComprobantes" />
							</numeroComprobantes>
							<baseNoGraIva>
								<xsl:value-of select="format-number(baseNoGraIva, '#0.00')" />
							</baseNoGraIva>
							<baseImponible>
								<xsl:value-of select="format-number(baseImponible, '#0.00')" />
							</baseImponible>
							<baseImpGrav>
								<xsl:value-of select="format-number(baseImpGrav, '#0.00')" />
							</baseImpGrav>
							<montoIva>
								<xsl:value-of select="format-number(montoIva, '#0.00')" />
							</montoIva>
							<valorRetIva>
								<xsl:value-of select="format-number(valorRetIva, '#0.00')" />
							</valorRetIva>
							<valorRetRenta>
								<xsl:value-of select="format-number(valorRetRenta, '#0.00')" />
							</valorRetRenta>
						</detalleVentas>
					</xsl:for-each>
				</ventas>
			</xsl:if>
			<!-- ventas por establecimiento igual -->
			<xsl:if test="iva/ventasEstablecimiento">
				<ventasEstablecimiento>

					<xsl:for-each select="iva/ventasEstablecimiento/ventaEst">
						<ventaEst>
							<codEstab>
								<xsl:value-of select="codEstab" />
							</codEstab>
							<ventasEstab>
								<xsl:value-of select="format-number(ventasEstab, '#0.00')" />
							</ventasEstab>
						</ventaEst>
					</xsl:for-each>
				</ventasEstablecimiento>
			</xsl:if>
			<!-- exportaciones -->
			<xsl:if test="iva/exportaciones/detalleExportaciones">
				<exportaciones>
					<xsl:for-each select="iva/exportaciones/detalleExportaciones">
						<detalleExportaciones>
							<exportacionDe>
								<xsl:value-of select="exportacionDe" />
							</exportacionDe>
							<tipoComprobante>
								<xsl:value-of select="tipoComprobante" />
							</tipoComprobante>
							<xsl:if test="exportacionDe = '01'">
								<distAduanero>
									<xsl:value-of select="distAduanero" />
								</distAduanero>
								<anio>
									<xsl:value-of select="anio" />
								</anio>
								<regimen>
									<xsl:value-of select="regimen" />
								</regimen>
								<correlativo>
									<xsl:value-of select="correlativo" />
								</correlativo>
								<xsl:if test="verificador">
									<verificador>
										<xsl:value-of select="verificador" />
									</verificador>
								</xsl:if>
								<docTransp>
									<xsl:value-of select="docTransp" />
								</docTransp>
							</xsl:if>

							<fechaEmbarque>
								<xsl:value-of select="fechaEmbarque" />
							</fechaEmbarque>
							<xsl:if test="fue">
								<fue>
									<xsl:value-of select="fue" />
								</fue>
							</xsl:if>
							<valorFOB>
								<xsl:value-of select="format-number(valorFOB, '#0.00')" />
							</valorFOB>
							<valorFOBComprobante>
								<xsl:value-of select="format-number(valorFOBComprobante, '#0.00')" />
							</valorFOBComprobante>
							<establecimiento>
								<xsl:value-of select="establecimiento" />
							</establecimiento>
							<puntoEmision>
								<xsl:value-of select="puntoEmision" />
							</puntoEmision>
							<secuencial>
								<xsl:value-of select="secuencial" />
							</secuencial>
							<autorizacion>
								<xsl:value-of select="autorizacion" />
							</autorizacion>
							<fechaEmision>
								<xsl:value-of select="fechaEmision" />
							</fechaEmision>
						</detalleExportaciones>
					</xsl:for-each>
				</exportaciones>
			</xsl:if>

			<!-- ****RECAPS*** -->
			<recap>
				<xsl:for-each select="iva/recap/cabecerasRecap/cabeceraRecap">
					<detalleRecap>
						<xsl:variable name="codigoRecap" select="codRecap" />
						<establecimientoRecap>
							<xsl:value-of select="establecimientoRecap" />
						</establecimientoRecap>
						<identificacionRecap>
							<xsl:value-of select="identificacionRecap" />
						</identificacionRecap>
						<tipoComprobante>
							<xsl:value-of select="tipoComprobante" />
						</tipoComprobante>
						<numeroRecap>
							<xsl:value-of select="numeroRecap" />
						</numeroRecap>
						<fechaPago>
							<xsl:value-of select="fechaPago" />
						</fechaPago>
						<tarjetaCredito>
							<xsl:value-of select="tarjetaCredito" />
						</tarjetaCredito>
						<fechaEmisionRecap>
							<xsl:value-of select="fechaEmisionRecap" />
						</fechaEmisionRecap>
						<consumoCero>
							<xsl:value-of select="format-number(consumoCero, '#0.00')" />
						</consumoCero>
						<consumoGravado>
							<xsl:value-of select="format-number(consumoGravado, '#0.00')" />
						</consumoGravado>
						<totalConsumo>
							<xsl:value-of select="format-number(totalConsumo, '#0.00')" />
						</totalConsumo>
						<montoIva>
							<xsl:value-of select="format-number(montoIva, '#0.00')" />
						</montoIva>
						<comision>
							<xsl:value-of select="format-number(comision, '#0.00')" />
						</comision>
						<numeroVouchers>
							<xsl:value-of select="numeroVouchers" />
						</numeroVouchers>
						<valorRetBienes>
							<xsl:value-of select="format-number(valorRetBienes, '#0.00')" />
						</valorRetBienes>
						<valorRetServicios>
							<xsl:value-of select="format-number(valorRetServicios, '#0.00')" />
						</valorRetServicios>
						<valRetServ100>
							<xsl:value-of select="format-number(valRetServ100, '#0.00')" />
						</valRetServ100>
						<xsl:if test="pagoExterior/pagoLocExt!=''">
							<pagoExterior>
								<pagoLocExt>
									<xsl:value-of select="pagoExterior/pagoLocExt" />
								</pagoLocExt>
								<paisEfecPago>
									<xsl:value-of select="pagoExterior/paisEfecPago" />
								</paisEfecPago>
								<aplicConvDobTrib>
									<xsl:value-of select="pagoExterior/aplicConvDobTrib" />
								</aplicConvDobTrib>
								<pagExtSujRetNorLeg>
									<xsl:value-of select="pagoExterior/pagExtSujRetNorLeg" />
								</pagExtSujRetNorLeg>
							</pagoExterior>
						</xsl:if>
						<xsl:if test="../../retencionesRecap">
							<air>
								<xsl:for-each
									select="../../retencionesRecap/detalleAir[codRecap=$codigoRecap]">
									<detalleAir>
										<codRetAir>
											<xsl:value-of select="codRetAir" />
										</codRetAir>
										<baseImpAir>
											<xsl:value-of select="format-number(baseImpAir, '#0.00')" />
										</baseImpAir>
										<porcentajeAir>
											<xsl:value-of select="format-number(porcentajeAir, '#0.00')" />
										</porcentajeAir>
										<valRetAir>
											<xsl:value-of select="format-number(valRetAir, '#0.00')" />
										</valRetAir>
									</detalleAir>
								</xsl:for-each>
							</air>
						</xsl:if>
						<establecimiento>
							<xsl:value-of select="establecimiento" />
						</establecimiento>
						<puntoEmision>
							<xsl:value-of select="puntoEmision" />
						</puntoEmision>
						<secuencial>
							<xsl:value-of select="secuencial" />
						</secuencial>
						<autorizacion>
							<xsl:value-of select="autorizacion" />
						</autorizacion>
						<fechaEmision>
							<xsl:value-of select="fechaEmision" />
						</fechaEmision>
					</detalleRecap>
				</xsl:for-each>
			</recap>
			<fideicomisos>
				<xsl:for-each
					select="iva/fideicomisos/detallesFideicomisos/detalleFideicomisos">
					<detalleFideicomisos>
						<xsl:variable name="codigoFideicomiso" select="rucFideicomiso" />
						<tipoBeneficiario>
							<xsl:value-of select="tipoBeneficiario" />
						</tipoBeneficiario>
						<idBeneficiario>
							<xsl:value-of select="idBeneficiario" />
						</idBeneficiario>
						<rucFideicomiso>
							<xsl:value-of select="rucFideicomiso" />
						</rucFideicomiso>
						<xsl:variable name="individual"
							select="format-number(individualF, '#0.00')" />
						<xsl:variable name="porcentaje" select="format-number(porRetF, '#0.00')" />
						<xsl:variable name="valor"
							select="format-number(valorRetF, '#0.00')" />
						<xsl:variable name="pagoLocal" select="pagoExterior/pagoLocExt" />
						<xsl:variable name="pais" select="pagoExterior/paisEfecPago" />
						<xsl:variable name="convenio" select="pagoExterior/aplicConvDobTrib" />
						<xsl:variable name="retencion" select="pagoExterior/pagExtSujRetNorLeg" />
						<fValor>
							<xsl:for-each
								select="../../infoFideicomisos/defFideicomiso[rucFideicomiso=$codigoFideicomiso]">
								<detallefValor>
									<xsl:copy-of select="tipoFideicomiso" />

									<xsl:copy-of select="totalF" />
									<individualF>
										<xsl:value-of select="$individual" />
									</individualF>
									<porRetF>
										<xsl:value-of select="$porcentaje" />
									</porRetF>
									<valorRetF>
										<xsl:value-of select="$valor" />
									</valorRetF>
									<!--Nuevos -->
									<xsl:if test="$pagoLocal!=''">
										<pagoExterior>
											<pagoLocExt>
												<xsl:value-of select="$pagoLocal" />
											</pagoLocExt>
											<paisEfecPago>
												<xsl:value-of select="$pais" />
											</paisEfecPago>
											<aplicConvDobTrib>
												<xsl:value-of select="$convenio" />
											</aplicConvDobTrib>
											<pagExtSujRetNorLeg>
												<xsl:value-of select="$retencion" />
											</pagExtSujRetNorLeg>
										</pagoExterior>
									</xsl:if>
								</detallefValor>
							</xsl:for-each>
						</fValor>
					</detalleFideicomisos>
				</xsl:for-each>
			</fideicomisos>
			<!-- anulados se copia identico -->
			<xsl:copy-of select="iva/anulados" />
			<!-- anulados se copia identico -->
			<!-- ****** rendimientos**** -->
			<xsl:if test="iva/rendFinancieros">
				<rendFinancieros>
					<xsl:for-each select="iva/rendFinancieros/retenidos/sujeto">
						<detalleRendFinancieros>
							<xsl:variable name="codigoRetenido" select="idRetenido" />
							<retenido>
								<xsl:value-of select="retenido" />
							</retenido>
							<idRetenido>
								<xsl:value-of select="idRetenido" />
							</idRetenido>
							<xsl:if test="ahorroPN/totalDep!=''">
								<ahorroPN>
									<totalDep>
										<xsl:value-of select="ahorroPN/totalDep" />
									</totalDep>
									<rendGen>
										<xsl:value-of select="format-number(ahorroPN/rendGen, '#0.00')" />
									</rendGen>
								</ahorroPN>
							</xsl:if>
							<xsl:if test="ctaExenta/totalDep!=''">
								<ctaExenta>
									<totalDep>
										<xsl:value-of select="ctaExenta/totalDep" />
									</totalDep>
									<rendGen>
										<xsl:value-of select="format-number(ctaExenta/rendGen, '#0.00')" />
									</rendGen>
								</ctaExenta>
							</xsl:if>
							<xsl:if
								test="../../comprobantesRetencion/detRet[idRetenido=$codigoRetenido]">
								<retenciones>
									<xsl:for-each
										select="../../comprobantesRetencion/detRet[idRetenido=$codigoRetenido]">
										<xsl:variable name="idRetencionObt" select="idRetencion" />
										<detRet>
											<estabRetencion>
												<xsl:value-of select="estabRetencion" />
											</estabRetencion>
											<ptoEmiRetencion>
												<xsl:value-of select="ptoEmiRetencion" />
											</ptoEmiRetencion>
											<secRetencion>
												<xsl:value-of select="secRetencion" />
											</secRetencion>
											<autRetencion>
												<xsl:value-of select="autRetencion" />
											</autRetencion>
											<fechaEmiRet>
												<xsl:value-of select="fechaEmiRet" />
											</fechaEmiRet>
											<xsl:if test="../../conceptosRetencion">
												<airRend>
													<xsl:for-each
														select="../../conceptosRetencion/detalleAirRen[idRetencion=$idRetencionObt]">
														<detalleAirRen>
															<codRetAir>
																<xsl:value-of select="codRetAir" />
															</codRetAir>
															<deposito>
																<xsl:value-of select="format-number(deposito, '#0.00')" />
															</deposito>
															<baseImpAir>
																<xsl:value-of select="format-number(baseImpAir, '#0.00')" />
															</baseImpAir>
															<porcentajeAir>
																<xsl:value-of select="format-number(porcentajeAir, '#0.00')" />
															</porcentajeAir>
															<valRetAir>
																<xsl:value-of select="format-number(valRetAir, '#0.00') " />
															</valRetAir>
														</detalleAirRen>
													</xsl:for-each>
												</airRend>
											</xsl:if>
										</detRet>
									</xsl:for-each>
								</retenciones>
							</xsl:if>
						</detalleRendFinancieros>
					</xsl:for-each>
				</rendFinancieros>
			</xsl:if>
		</iva>
	</xsl:template>
</xsl:stylesheet>