<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

	<xsl:template match="/">
		<iva>
			<TipoIDInformante>
				<xsl:value-of select="iva/TipoIDInformante"/>
			</TipoIDInformante>
			<!--Fin Nuevo -->
			<IdInformante>
				<xsl:value-of select="iva/IdInformante"/>
			</IdInformante>
			<razonSocial>
				<xsl:value-of select="iva/razonSocial"/>
			</razonSocial>
			<Anio>
				<xsl:value-of select="iva/Anio"/>
			</Anio>
			<Mes>
				<xsl:value-of select="iva/Mes"/>
			</Mes>
			<!-- Campos de numero de establecimientos y total de ventas -->
			<numEstabRuc>
				<xsl:value-of select="iva/numEstabRuc"/>
			</numEstabRuc>
			<totalVentas>
				<xsl:value-of select="iva/totalVentas"/>
			</totalVentas>
			<!--Nuevos -->
			<codigoOperativo>IVA</codigoOperativo>
			<xsl:if test="iva/compras/detalleCompras">
				<compras>
					<xsl:for-each select="iva/compras/detalleCompras">
						<detalleCompras>
							<codSustento>
								<xsl:value-of select="codSustento"/>
							</codSustento>
							<tpIdProv>
								<xsl:value-of select="tpIdProv"/>
							</tpIdProv>
							<idProv>
								<xsl:value-of select="idProv"/>
							</idProv>
							<tipoComprobante>
								<xsl:value-of select="tipoComprobante"/>
							</tipoComprobante>
							<xsl:if test="tipoProv">
								<tipoProv>
									<xsl:value-of select="tipoProv"/>
								</tipoProv>
							</xsl:if>
							<xsl:if test="parteRel">
								<parteRel>
									<xsl:value-of select="parteRel"/>
								</parteRel>
							</xsl:if>
							<!--Fin Nuevos -->
							<fechaRegistro>
								<xsl:value-of select="fechaRegistro"/>
							</fechaRegistro>
							<establecimiento>
								<xsl:value-of select="establecimiento"/>
							</establecimiento>
							<puntoEmision>
								<xsl:value-of select="puntoEmision"/>
							</puntoEmision>
							<secuencial>
								<xsl:value-of select="secuencial"/>
							</secuencial>
							<fechaEmision>
								<xsl:value-of select="fechaEmision"/>
							</fechaEmision>
							<autorizacion>
								<xsl:value-of select="autorizacion"/>
							</autorizacion>
							<baseNoGraIva>
								<xsl:value-of select="format-number(baseNoGraIva, '#0.00')"/>
							</baseNoGraIva>
							<baseImponible>
								<xsl:value-of select="format-number(baseImponible, '#0.00')"/>
							</baseImponible>
							<baseImpGrav>
								<xsl:value-of select="format-number(baseImpGrav, '#0.00')"/>
							</baseImpGrav>
							<montoIce>
								<xsl:value-of select="format-number(montoIce, '#0.00')"/>
							</montoIce>
							<montoIva>
								<xsl:value-of select="format-number(montoIva, '#0.00')"/>
							</montoIva>
							<valorRetBienes>
								<xsl:value-of select="format-number(valorRetBienes, '#0.00')"/>
							</valorRetBienes>
							<valorRetServicios>
								<xsl:value-of select="format-number(valorRetServicios, '#0.00')"/>
							</valorRetServicios>
							<valRetServ100>
								<xsl:value-of select="format-number(valRetServ100, '#0.00')"/>
							</valRetServ100>
							<xsl:if test="pagoExterior/pagoLocExt!=''">
								<pagoExterior>
									<pagoLocExt>
										<xsl:value-of select="pagoExterior/pagoLocExt"/>
									</pagoLocExt>
									<paisEfecPago>
										<xsl:value-of select="pagoExterior/paisEfecPago"/>
									</paisEfecPago>
									<aplicConvDobTrib>
										<xsl:value-of select="pagoExterior/aplicConvDobTrib"/>
									</aplicConvDobTrib>
									<pagExtSujRetNorLeg>
										<xsl:value-of select="pagoExterior/pagExtSujRetNorLeg"/>
									</pagExtSujRetNorLeg>
								</pagoExterior>
							</xsl:if>
							<xsl:if test="formasDePago/formaPago">
								<formasDePago>
									<xsl:for-each select="formasDePago/formaPago">
										<formaPago>
											<xsl:value-of select="."/>
										</formaPago>
									</xsl:for-each>
								</formasDePago>
							</xsl:if>
							<xsl:copy-of select="air"/>
							<xsl:if test="estabRetencion1!=''">
								<estabRetencion1>
									<xsl:value-of select="estabRetencion1"/>
								</estabRetencion1>
								<ptoEmiRetencion1>
									<xsl:value-of select="ptoEmiRetencion1"/>
								</ptoEmiRetencion1>
								<secRetencion1>
									<xsl:value-of select="secRetencion1"/>
								</secRetencion1>
								<autRetencion1>
									<xsl:value-of select="autRetencion1"/>
								</autRetencion1>
								<fechaEmiRet1>
									<xsl:value-of select="fechaEmiRet1"/>
								</fechaEmiRet1>
							</xsl:if>
							<xsl:if test="reembolsos/reembolso">
								<reembolsos>
									<xsl:for-each select="reembolsos/reembolso">
										<reembolso>
											<tipoComprobanteReemb>
												<xsl:value-of select="tipoComprobanteReemb"/>
											</tipoComprobanteReemb>
											<tpIdProvReemb>
												<xsl:value-of select="tpIdProvReemb"/>
											</tpIdProvReemb>
											<idProvReemb>
												<xsl:value-of select="idProvReemb"/>
											</idProvReemb>
											<establecimientoReemb>
												<xsl:value-of select="establecimientoReemb"/>
											</establecimientoReemb>
											<puntoEmisionReemb>
												<xsl:value-of select="puntoEmisionReemb"/>
											</puntoEmisionReemb>
											<secuencialReemb>
												<xsl:value-of select="secuencialReemb"/>
											</secuencialReemb>
											<fechaEmisionReemb>
												<xsl:value-of select="fechaEmisionReemb"/>
											</fechaEmisionReemb>
											<autorizacionReemb>
												<xsl:value-of select="autorizacionReemb"/>
											</autorizacionReemb>
											<baseImponibleReemb>
												<xsl:value-of select="format-number(baseImponibleReemb, '#0.00')"/>
											</baseImponibleReemb>
											<baseImpGravReemb>
												<xsl:value-of select="format-number(baseImpGravReemb, '#0.00')"/>
											</baseImpGravReemb>
											<baseNoGraIvaReemb>
												<xsl:value-of select="baseNoGraIvaReemb"/>
											</baseNoGraIvaReemb>
											<montoIceRemb>
												<xsl:value-of select="format-number(montoIceRemb, '#0.00')"/>
											</montoIceRemb>
											<montoIvaRemb>
												<xsl:value-of select="format-number(montoIvaRemb, '#0.00')"/>
											</montoIvaRemb>
										</reembolso>
									</xsl:for-each>
								</reembolsos>
							</xsl:if>
							<xsl:if test="docModificado!=''">
								<docModificado>
									<xsl:value-of select="docModificado"/>
								</docModificado>
								<estabModificado>
									<xsl:value-of select="estabModificado"/>
								</estabModificado>
								<ptoEmiModificado>
									<xsl:value-of select="ptoEmiModificado"/>
								</ptoEmiModificado>
								<secModificado>
									<xsl:value-of select="secModificado"/>
								</secModificado>
								<autModificado>
									<xsl:value-of select="autModificado"/>
								</autModificado>
							</xsl:if>
						</detalleCompras>
					</xsl:for-each>
				</compras>
			</xsl:if>
			<!-- ventas-->
			<xsl:copy-of select="iva/ventas"/>
			<!-- ventas por establecimiento igual -->
			<xsl:copy-of select="iva/ventasEstablecimiento"/>
			<!--exportaciones identico-->
			<xsl:copy-of select="iva/exportaciones"/>
			<xsl:copy-of select="iva/recap"/>
			<xsl:copy-of select="iva/fideicomisos"/>
			<xsl:copy-of select="iva/anulados"/>
			<xsl:copy-of select="iva/rendFinancieros"/>
		</iva>
	</xsl:template>

	<xsl:template match="iva">
	</xsl:template>
</xsl:stylesheet>